Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ModuleVersionSelector

    public interface ModuleVersionSelector

Selects a module version

Method Summary
`String` | `getGroup()` The group of the module.
`String` | `getName()` The name of the module.
`String` | `getVersion()` The version of the module
`boolean` | `matchesStrictly(ModuleVersionIdentifier identifier)` To match strictly means that the given identifier needs to have equal group, module name and version.

Method Detail

### getGroup

    public String getGroup()

  The group of the module.
  Returns:
    module group

### getName

    public String getName()

  The name of the module.
  Returns:
    module name

### getVersion

    public String getVersion()

  The version of the module
  Returns:
    module version

### matchesStrictly

    @Incubating
    public boolean matchesStrictly(ModuleVersionIdentifier identifier)

  To match strictly means that the given identifier needs to have equal group, module name and version. It does not smartly match dynamic versions, e.g. '1.+' selector does not strictly match '1.2' identifier.
  Returns:
    if this selector matches exactly the given identifier.

Gradle API 1.10